@import 'settings';
@import 'mixins';
@import 'typography';

.ProjectsList {
    position: relative;
    padding-top: 32px;
    padding-bottom: 30px;
    margin: 0 auto;
    max-width: $desktop-width;

    &__project {
        display: block;
        position: relative;
        width: 100%;
        text-align: center;
        border: solid transparent;
        border-width: 20px 15px;

        &__image {
            @include ratio-16-9;
            position: relative;
            overflow: hidden;

            img {
                position: absolute;
                top: 0;
                left: 0;
                width: 100%;
                height: 100%;
                opacity: 1;
                object-position: center center;
                object-fit: cover;

                @include object-fit(cover);
            }

            &__dummy {
                position: absolute;
                top: 0;
                left: 0;
                width: 100%;
                height: 100%;
                background: $blue;
            }
        }
    }

    @media #{$mobile-only} {
        &__project {
            &__info {
                padding-top: 10px;
                color: $body-font-color;

                h3 {
                    @include body-type;
                    margin: 0;
                    color: $body-font-color;
                }
            }
        }
    }

    @media #{$tablet} {
        @include clearfix;
        padding: 65px 15px 40px 15px;
        display: flex;
        flex-wrap: wrap;
        justify-content: center;

        &__project {
            width: 50%;
            padding: 0;
            border-width: 12px;

            &__info {
                position: absolute;
                top: 0;
                left: 0;
                width: 100%;
                height: 100%;
                padding: 20px 30px;
                display: flex;
                flex-direction: column;
                align-items: center;
                justify-content: center;
                color: $white;
                background: transparentize($blue, 0.55);
                transition: opacity 250ms;

                h3 {
                    color: $white;
                    text-transform: uppercase;
                }
            }

            &:not(:hover) {
                .ProjectsList__project__info {
                    opacity: 0;
                }
            }
        }

        .load-more {
            margin-top: 30px;
            margin-bottom: -8px;
        }
    }

    @media (min-width: 1100px) {
        &__project {
            width: 33.33%;
        }
    }
}
